Package net.md_5.bungee.api

# Enum ServerLink.LinkType

java.lang.Object
java.lang.Enum<ServerLink.LinkType>
net.md_5.bungee.api.ServerLink.LinkType

All Implemented Interfaces:
  `Serializable`, `Comparable<ServerLink.LinkType>`

Enclosing class:
  ServerLink

public static enum ServerLink.LinkType extends Enum<ServerLink.LinkType>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANNOUNCEMENTS`
  `COMMUNITY`
  `COMMUNITY_GUIDELINES`
  `FEEDBACK`
  `FORUMS`
  `NEWS`
  `REPORT_BUG`
  `STATUS`
  `SUPPORT`
  `WEBSITE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ServerLink.LinkType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ServerLink.LinkType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPORT_BUG

    public static final ServerLink.LinkType REPORT_BUG

  - ### COMMUNITY_GUIDELINES

    public static final ServerLink.LinkType COMMUNITY_GUIDELINES

  - ### SUPPORT

    public static final ServerLink.LinkType SUPPORT

  - ### STATUS

    public static final ServerLink.LinkType STATUS

  - ### FEEDBACK

    public static final ServerLink.LinkType FEEDBACK

  - ### COMMUNITY

    public static final ServerLink.LinkType COMMUNITY

  - ### WEBSITE

    public static final ServerLink.LinkType WEBSITE

  - ### FORUMS

    public static final ServerLink.LinkType FORUMS

  - ### NEWS

    public static final ServerLink.LinkType NEWS

  - ### ANNOUNCEMENTS

    public static final ServerLink.LinkType ANNOUNCEMENTS

- ## Method Details

  - ### values

    public static ServerLink.LinkType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ServerLink.LinkType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null